Test config modifier

post/v1/operations/configmodifiers/test
MCP ToolWrite
Page View

Config modifier endpoints allow you to review and manage config modifiers and their related links. Learn about config modifiers.

Anyone in a Redox organization can view config modifiers and related links, but you must be assigned to an engineer or support role to update them.

You can:

  • retrieve a list of config modifiers by environment or organization;
  • create config modifiers or links;
  • update config modifiers or links; or
  • delete config modifiers or link.

Test config modifier

Test a config modifier schema against a sample payload.

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/operations/configmodifiers/test' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json' \
5
--header 'content-type: application/json' \
6
--data '{
7
"environment": {
8
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
9
},
10
"configModifier": {
11
"selector": "$.Patient.Identifiers[*].ID",
12
"flavor": "put",
13
"schema": {
14
"plugin": {
15
"name": "text",
16
"action": "upper-case"
17
}
18
}
19
},
20
"inputPayloads": {
21
"processedPayload": {},
22
"initialPayload": {}
23
}
24
}'

Request Body Schema

    Contains the config modifier and payload(s) to test.

  • environment
    required, object

    Specifies which Redox environment to use to test the config modifier.

    • id
      required, string

      Contains the unique identifier of the Redox environment.

      Format: uuid
  • configModifier
    required, object

    Contains the config modifier settings to test against the payload.

    • selector
      required, string

      Indicates the field path within the payload that this config modifier operates upon.

    • flavor
      required, string

      Indicates the type, or flavor, of config modifier. A put flavor alters data (i.e., creates or replaces) in a payload, while a delete flavor removes data from a payload.

      Possible Values: put, delete
    • schema
      object

      (For put flavors only) Contains a schema of keywords that define what the config modifier should do at the specified selector path.

    • inputPayloads
      required, object

      Contains the payload(s) to test against the config modifier settings.

      • processedPayload
        required, object

        Contains an example of a JSON payload after any expected processing (such as translation sets or other config modifiers) has occurred.

        • initialPayload
          object

          Contains an example of a JSON payload before any Redox processing has occurred.

        Response fields and example

        Example payload generated from schema
        1
        {
        2
        "meta": {
        3
        "version": "1.0.0"
        4
        },
        5
        "payload": {
        6
        "outcome": "succeeded",
        7
        "output": {},
        8
        "schemaResult": {},
        9
        "field": "string"
        10
        }
        11
        }
        • meta
          object
          • version
            string

            Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

        • payload
          object

          Contains the results of testing the config modifier settings against the provided payload(s).

          • outcome
            required, string

            Describes the result of applying the given config modifier to the payload. A value of succeeded indicates that the output payload was modified. A value of field-not-found indicates that the field specified in the selector was not found in the payload(s).

            Possible Values: succeeded, field-not-found
          • output
            object

            Contains the output payload after applying the config modifier to the provided input payload(s).

            • schemaResult
              object

              Contains the schema output.

              • field
                string

                For a field-not-found outcome, contains the selector path that was not found.

            FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.